## org.codehaus.groovy.grails.web.taglib
Interface GrailsTag

All Known Implementing Classes:
  GroovyCollectTag, GroovyDefTag, GroovyEachTag, GroovyElseIfTag, GroovyElseTag, GroovyFindAllTag, GroovyGrepTag, GroovyIfTag, GroovySyntaxTag, GroovyWhileTag, RenderInputTag, RequestContextTag

    public interface GrailsTag

An interface that allows to tag implementation to be abstracted from the JSP custom tag spec.. hence allowing them to be used in direct method calls etc.

Since:
  11-Jan-2006
Author:
  Graeme Rocher

Method Summary
`void` `doEndTag()` process the end tag
`void` `doStartTag()` Process the start tag
`String` `getName()`
`void` `init(Map tagContext)`
`void` `setAttribute(String name, Object value)` Sets an attribute of the tag
`void` `setAttributes(Map attributes)` Sets the attributes of the tag
`void` `setWriter(Writer w)` Sets the writer that processes the tag

Method Detail

### init

    void init(Map tagContext)

### setWriter

    void setWriter(Writer w)

  Sets the writer that processes the tag

  Parameters:
    `w` -

### setAttributes

    void setAttributes(Map attributes)

  Sets the attributes of the tag

  Parameters:
    `attributes` -

### setAttribute

    void setAttribute(String name,
                      Object value)

  Sets an attribute of the tag

  Parameters:
    `name` -
    `value` -

### doStartTag

    void doStartTag()

  Process the start tag

### doEndTag

    void doEndTag()

  process the end tag

### getName

    String getName()

  Returns:
    The name of the tag

Copyright (c) 2005-2009 The Grails project